/** @type {import('tailwindcss').Config} */
module.exports = {
	content: ['./src/**/*.{astro,html,js,jsx,md,mdx,svelte,ts,tsx,vue}'],
	theme: {
    colors: ({ colors }) => ({
      inherit: colors.inherit,
      current: colors.current,
      transparent: colors.transparent,
      black: colors.black,
      white: colors.white,
      slate: colors.slate,
      gray: colors.gray,
      zinc: colors.zinc,
      neutral: colors.neutral,
      stone: colors.stone,
      red: colors.red,
      orange: colors.orange,
      amber: colors.amber,
      yellow: colors.yellow,
      lime: colors.lime,
      emerald: colors.emerald,
      teal: colors.teal,
      cyan: colors.cyan,
      sky: colors.sky,
      blue: colors.blue,
      indigo: colors.indigo,
      violet: colors.violet,
      purple: colors.purple,
      fuchsia: colors.fuchsia,
      pink: colors.pink,
      'rose': {
        '50': '#fcf4f4',
        '100': '#fae9ea',
        '200': '#f5d6da',
        '300': '#ecb5bb',
        '400': '#e18b96',
        '500': '#d26172',
        '600': '#bc425b',
        '700': '#a6354f',
        '800': '#842d44',
        '900': '#72293e',
        '950': '#3f121e',
      },
      'copper': {
        '50': '#fcf7f0',
        '100': '#f9ecdb',
        '200': '#f2d7b6',
        '300': '#eabf8f',
        '400': '#df9758',
        '500': '#d77c38',
        '600': '#c9652d',
        '700': '#a74e27',
        '800': '#864026',
        '900': '#6c3622',
        '950': '#3a1a10',
      },
      'green': {
        '50': '#fffce0',
        '100': '#fffcbb',
        '200': '#fffd80',
        '300': '#fbff37',
        '400': '#efff00',
        '500': '#ceff00',
        '600': '#a1d300',
        '700': '#799f00',
        '800': '#607b00',
        '900': '#506600',
        '950': '#283b00',
      },
      'william': {
        '50': '#f4f9f8',
        '100': '#dcebe7',
        '200': '#b8d7ce',
        '300': '#8dbbb0',
        '400': '#659c90',
        '500': '#4b8176',
        '600': '#3a665e',
        '700': '#32534e',
        '800': '#2b4440',
        '900': '#273a37',
        '950': '#12211f',
      },
      'malibu': {
        '50': '#edfcfe',
        '100': '#d0f6fd',
        '200': '#a8ecf9',
        '300': '#55d6f3',
        '400': '#28c1e8',
        '500': '#0ca5ce',
        '600': '#0d83ad',
        '700': '#126a8c',
        '800': '#185672',
        '900': '#184861',
        '950': '#0a2e42',
      },
      'spindle': {
        '50': '#f2f4fb',
        '100': '#e7eaf8',
        '200': '#d3d8f2',
        '300': '#bec4eb',
        '400': '#9b9ede',
        '500': '#8382d2',
        '600': '#7169c2',
        '700': '#6158aa',
        '800': '#50498a',
        '900': '#44406f',
        '950': '#282541',
      },
      'clay': {
        '50': '#f5f6fa',
        '100': '#ebedf3',
        '200': '#d2d8e5',
        '300': '#abb7ce',
        '400': '#7d90b3',
        '500': '#5d729a',
        '600': '#495a80',
        '700': '#3c4968',
        '800': '#343f58',
        '900': '#293041',
        '950': '#1f2432',
      },
      'melrose': {
        '50': '#edf4ff',
        '100': '#dfeaff',
        '200': '#c5d9ff',
        '300': '#adc6ff',
        '400': '#7d9afc',
        '500': '#5e75f6',
        '600': '#414eea',
        '700': '#333ccf',
        '800': '#2c34a7',
        '900': '#2b3484',
        '950': '#191c4d',
      },
      'affair': {
        '50': '#f9f7fc',
        '100': '#f2eef9',
        '200': '#e4dbf3',
        '300': '#d1bfe8',
        '400': '#b699d9',
        '500': '#9770c5',
        '600': '#734c9e',
        '700': '#65408b',
        '800': '#543672',
        '900': '#49315e',
        '950': '#2a163c',
      },
    }),
		extend: {
    },
	},
	plugins: [
    require('@tailwindcss/typography'),
  ],
}
